package com.ruoyi.brewery.service;

import java.util.List;
import com.ruoyi.brewery.domain.WyBreweryRole;

/**
 * 角色信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-10
 */
public interface IWyBreweryRoleService 
{
    /**
     * 查询角色信息
     * 
     * @param roleId 角色信息主键
     * @return 角色信息
     */
    public WyBreweryRole selectWyBreweryRoleByRoleId(Long roleId);

    /**
     * 查询角色信息列表
     * 
     * @param wyBreweryRole 角色信息
     * @return 角色信息集合
     */
    public List<WyBreweryRole> selectWyBreweryRoleList(WyBreweryRole wyBreweryRole);

    /**
     * 新增角色信息
     * 
     * @param wyBreweryRole 角色信息
     * @return 结果
     */
    public int insertWyBreweryRole(WyBreweryRole wyBreweryRole);

    /**
     * 修改角色信息
     * 
     * @param wyBreweryRole 角色信息
     * @return 结果
     */
    public int updateWyBreweryRole(WyBreweryRole wyBreweryRole);

    /**
     * 批量删除角色信息
     * 
     * @param roleIds 需要删除的角色信息主键集合
     * @return 结果
     */
    public int deleteWyBreweryRoleByRoleIds(Long[] roleIds);

    /**
     * 删除角色信息信息
     * 
     * @param roleId 角色信息主键
     * @return 结果
     */
    public int deleteWyBreweryRoleByRoleId(Long roleId);
}
